Subject: Re: [idn] Thoughts on nameprep

From: "Bruce Thomson" <[email-masked]>
Date: Sat, 10 Mar 2001 22:16:02 +0900

> It would be very confusing for people if for some domains
> case matters and for some not, depending on whether a character that is
> not in ASCII happens to be part of the domain name.

Yes, I agree. But I was not proposing that. Very few people presently
type ASCII domains in upper case, and this feature does not need
to be extended into idns if it will make the spec very complicated.
So I propose: "Upper case characters are forbidden in idns, whether
or not they are ASCII. Upper-case case characters in non-idn
domains must continue to resolve to avoid breaking legacy software."

> "a" with dots in Swedish is not a ligature. It's a letter.

OK, this is useful information I can understand. I assume that there is
a key for it on the Swedish keyboard, and only one way to type it.
Naturally we have to allow you to type it that way. So if there is
another country that requires two dots over a character that can
only be typed as 2 keystrokes, they would be able to type the
same a-with-dots in a different way from you, which I admit
requires nameprep in that case. Is there such another country?

Then the question is, how many cases are there like this? Maybe
5 or 10? But when I look at the nameprep mapping table there
are LOTS of entries. So can't we reduce them to the minimum?
Japanese alone requires over 100 with the current spec, and
these are unnecessary.

Simple is best.

Bruce

----- Original Message ----- 
From: "C C Magnus Gustavsson" <[email-masked]>
To: "Bruce Thomson" <[email-masked]>
Sent: Saturday, March 10, 2001 8:30 PM
Subject: Re: [idn] Thoughts on nameprep

> As somebody will probably tell you (or might already have told you):
> 
> If ASCII is case independent then at least every other Latin script must
> be as well. It would be very confusing for people if for some domains
> case matters and for some not, depending on whether a character that is
> not in ASCII happens to be part of the domain name.
> 
> And, btw: E g "a" with dots in Swedish is not a ligature. It's a letter.
> 
> /Magnus
> 
>

---

From: Patrik Fältström <[email-masked]>
Date: Sat, 10 Mar 2001 22:02:53 +0100

At 22.16 +0900 01-03-10, Bruce Thomson wrote:
>are LOTS of entries.

The entries are exactly the ones which are defined by Unicode 
Consortium. The number of entries needed are exactly those.

   paf